Which devices can support iOS 12.0?

iPhone models 5S, SE, 6 and up are capable of installing iOS 12.0. Older models aren’t compatible with 12.0, and therefore won’t be compatible with these new features. This includes the iPhone 5, 5c, 4S and below.